Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class JdbcCatalogQueryManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
                  com.beasys.commerce.ebusiness.catalog.service.query.JdbcCatalogQueryManagerImpl

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public class JdbcCatalogQueryManagerImpl
extends JdbcCatalogServiceImpl

The implementation class for the `JdbcCatalogQueryManager` Session EJB.
This service implementation uses the `QueryHelper` class to generate SQL at runtime to perform ProductCatalog searches. This utility class searches against both explict and implicit (i.e. properties set through the `ConfigurableEntity` interface) properties of the Catalog items. The table prefix used for searching implicit property tables is specifed by the following EJB environment property:

- `PropertyTableSetPrefix` - specifies the table prefix for performing searches over implicit properties.
- `supportsLikeEscapeClause` - specified whether the LIKE ESCAPE clause is supported in the underlying database connection (if not specified, it will be determined via the JdbcHelper).

See Also:
  `JdbcCatalogQueryManager`, `JdbcCatalogQueryManagerHome`, `JdbcHelper`, Serialized Form

Field Summary
`protected Boolean` | `supportsLikeEscapeClause` Whether the underlying database connection supports the LIKE ESCAPE clause.
`protected String` | `tablePrefix` The table name prefix for the ConfigurableEntity/EntityPropertyManager tables for custom data searching through expressions.

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
`DATA_SOURCE_NAME, SCHEMA_FILE_NAME, SQL_MANAGER_CLASS`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`JdbcCatalogQueryManagerImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object for categories.
`void` | `setSessionContext(SessionContext ctx)` setSessionContext method.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
`getCatalogSchemaName, getCatalogSqlManager, getCatalogSqlManager, getCatalogSqlManagerName, getDatabaseConnection, getJdbcCatalogFactory`

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supportsLikeEscapeClause

    protected Boolean supportsLikeEscapeClause

  Whether the underlying database connection supports the LIKE ESCAPE clause.

  This will be initialized form the `supportsLikeEscapeClause` environment property. It will be null to use `JdbcHelper.supportsLikeEscapeClause(java.sql.Connection)` method.

### tablePrefix

    protected String tablePrefix

  The table name prefix for the ConfigurableEntity/EntityPropertyManager tables for custom data searching through expressions.

  This will be initialized from the `PropertyTableSetPrefix` environment property.

Constructor Detail

### JdbcCatalogQueryManagerImpl

    public JdbcCatalogQueryManagerImpl()

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `SessionBean`
  Overrides:
    `ejbActivate` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `JdbcCatalogServiceImpl`
  Throws:
    `CreateException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `SessionBean`
  Overrides:
    `ejbPassivate` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `JdbcCatalogServiceImpl`
  Throws:
    `CreateException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `SessionBean`
  Overrides:
    `ejbRemove` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### search

    public ProductItemKey[] search(CatalogRequest request,
                                   CatalogQuery query)
                            throws CatalogException

  Returns the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of product item keys.
  Throws:
    `CatalogException` - on general error.

### search

    public ViewIterator search(CatalogRequest request,
                               CatalogQuery query,
                               int viewSize)
                        throws CatalogException,
                               RemoteException

  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns:
    A ViewIterator over the product items returned by the search.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    public CategoryKey[] searchCategories(CatalogRequest request,
                                          CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of category keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `SessionBean`
  Overrides:
    `setSessionContext` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved